Skip to main content
GET
/
v1
/
servers
/
{serverId}
/
join-requests
List join requests
curl --request GET \
  --url https://api.magne.app/v1/servers/{serverId}/join-requests \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "serverId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "username": "<string>",
    "displayName": "<string>",
    "avatarUrl": "<string>",
    "status": "<string>",
    "reason": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "decidedAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

serverId
string<uuid>
required

Response

Success

id
string<uuid>
serverId
string<uuid>
userId
string<uuid>
username
string
displayName
string
avatarUrl
string | null
status
string
reason
string | null
createdAt
string<date-time>
decidedAt
string<date-time> | null